Image page should list places that image redirects are used
Closed, ResolvedPublic

Description

When an image is moved a redirect is created.

The file links section of the new image page will then include a reference to this redirect. However, the file links section does not provide any information about where the redirected image title is used. The result is that image moving effectively hides information on image use by forcing one to look at WhatLinksHere for the original title to figure out where the image is used rather than being able to obtain this information from the image page itself.


Version: unspecified
Severity: normal

Details

Security
None
Reference
bz18017
bzimport set Reference to bz18017.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ added a comment.Mar 17 2009, 6:00 PM

The api doesn't see the usage either. The following image is used in [[en:Donde los ponys pastan]]

http://en.wikipedia.org/w/api.php?action=query&list=imageusage&iutitle=File:Porter_-_Donde_Los_Ponys_Pastan_album_cover.jpg

vvv added a comment.Mar 17 2009, 6:16 PM

Special:Whatlinkshere should work.

carnildo wrote:

I think this should be higher-priority than "enhancement": without accurate image usage data, two of my bots can't function properly, and a third will actively cause problems. I'd really rather not go back to screen-scraping, because page HTML is subject to change without notice.

TheDJ added a comment.Mar 23 2009, 7:50 PM

carnildo. I agree with you, but just so you know. You can use this: http://en.wikipedia.org/w/api.php?action=query&list=backlinks&bltitle=File:Porter_-_Donde_Los_Ponys_Pastan_album_cover.jpg&blredirect&blfilterredir=redirects to find redirects for the file. And then you can do seperate imageuse queries again for the redirects to the file.

TheDJ added a comment.Sep 22 2009, 5:04 PM

raising the priority of this bug. Now that file moves are available, this issue has become much more important.

Xeno added a comment.Aug 16 2010, 3:05 PM

Raised once more to 'critical'. This can cause non-free images to be deleted in the mistaken belief that they are not in use.

No, this is not "critical". Just tell your trigger-happy admins to check for redirects before deleting a file.

There's no need to war over the importance categorization. "blocker" or "enhancement", clearly nobody gives a shit and this bug will get fixed when someone gets around to it.

This "bug" is in GlobalUsage aswell. Although local pagelinks (Special:WhatLinksHere) does list redirects (as a sub-list-item under the redirect itself) - globalusage does not.

EN.WP.ST47 wrote:

*** Bug 23353 has been marked as a duplicate of this bug. ***

This appears to have been fixed somewhere around the line.

Consider [[commons:File:%22A_Spiritual_Landscape%22_by_Lucian_Popov.jpg]]

It has a redirect [[commons:File:Popov 006.jpg]]

I used the redirect on the pages [[testwiki:User:Bawolff/fileRedirTest]] and [[commons:User:Bawolff/test]]. Both of these usages appear on the image description page of [[commons:File:"A_Spiritual_Landscape"_by_Lucian_Popov.jpg]]. Specificly I see:

File usage on Commons

The following 3 pages link to this file:

  • User:Bawolff/test
  • File:Popov 006.jpg (file redirect) o User:Bawolff/test

File usage on other wikis

The following other wikis use this file:

  • Usage on ru.wikipedia.org o Попов, Лукиан Васильевич
  • Usage on test.wikipedia.org o User:Bawolff/fileRedirTest

The only minor thing is that in the global usage section, usages of redirects and main file are lumped together. But I think that's ok.

So calling this fixed. Please reopen if there are further issues.

Gilles moved this task from Untriaged to Done on the Multimedia board.
Elvey reopened this task as "Open".Mon, Apr 11, 8:42 PM
Elvey added a subscriber: Elvey.

I'm not seeing this as fixed. I just renamed https://commons.wikimedia.org/w/index.php?title=File:497bg-869sq-42-24592-dauntless-dolly.jpg&redirect=no

This doesn't show up on the new page:

File usage on other wikis

The following other wikis use this file:

Usage on en.wikipedia.org
    497th Bombardment Group
    Dauntless Dotty

https://en.wikipedia.org/w/api.php?action=query&list=imageusage&iutitle=File:497bg-869sq-42-24592-dauntless-dolly.jpg shows the use but
https://en.wikipedia.org/w/api.php?action=query&list=imageusage&iutitle=File:497bg-869sq-42-24592-dauntless-dotty.jpg doesn't.

Purging didn't help.

But Bawolff's testing still shows it as fixed.

Perhaps the current issue I'm seeing is related to T108799 ?

Restricted Application added a project: Commons. · View Herald TranscriptMon, Apr 11, 8:42 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald Transcript
Elvey added a comment.Tue, Apr 12, 1:57 AM

Hmm. Now, a few hours later, the page looks fine. I guess it just takes a while (half hour? 2 hours? what?) for a bot somewhere to do it's job? Can anyone explain? Reclose?

Anomie closed this task as "Resolved".Tue, Apr 12, 1:10 PM
Anomie claimed this task.

Hmm. Now, a few hours later, the page looks fine. I guess it just takes a while (half hour? 2 hours? what?) for a bot somewhere to do it's job? Can anyone explain?

Job queue reparsing the pages that use the now-redirect, most likely.

Anomie removed Anomie as the assignee of this task.Tue, Apr 12, 1:11 PM
Anomie set Security to None.

Add Comment